<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Role extends Model
{
    public $timestamps = false;
    protected $primaryKey = 'ID_Role';
    protected $table = 'roles';

    protected $fillable = [
        'Nom',
    ];

    public function utilisateurs()
    {
        return $this->hasMany(Utilisateur::class, 'ID_Role', 'ID_Role');
    }
}
